View Issue Details

IDProjectCategoryView StatusLast Update
0011857ScribusUser Interfacepublic2016-12-13 01:03
Reporterchristoph_s Assigned Tocbradney  
PrioritynormalSeverityminorReproducibilityalways
Status feedbackResolutionreopened 
Platformx86_64OSOpenSUSE 64 BitOS Version13.1
Product Version1.5.0svn 
Target Version1.5.4Fixed in Version 
Summary0011857: Inconsistent file listing in file selectors
DescriptionThe listings in file selectors is completely inconsistent: Sometimes the file format's name is mentioned in full + file extension, sometimes only one of both or a strange hybrid appears. The chaotic order of the entries has already been mentioned in another bug.

It would also make sense to use only capital letters for file extensions, because this is what almost everyone else does.

As to Scribus documents, the program cannot, in a file selector, distinguish between different versions, so offering 3 different versions (all with identical file extensions) for import is confusing and misleading. It's also an example for displaying the underlying programming logic (here: plug-in architecure) in the UI without offering any useful information for users.
Additional InformationHere's a suggestion for File > Open:

All Supported Formats
Scribus Document (SLA, SLA.GZ)
Calamus Graphics (CVG)
Computer Graphics Metafile (CGM)
Dia Shape (SHAPE)
Encapsulated PostScript (EPS, EPS2, EPS3, EPSF, EPI, EPT)
Illustrator (AI)
InDesign Markup File (IDML)
InDesign Markup Snippet (IDMS)
Kivio Stencil (SML)
Macintosh Graphics File (PICT)
Micrografx Drawing (DRW)
Microsoft Publisher (PUB)
Microsoft XPS (XPS)
OpenDocment Graphics (ODG)
OpenOffice.org 1 Drawing (SXD)
Open XPS (OXPS)
Portable Document Format (PDF)
PostScript (PS)
Scalable Vector Graphics (SVG, SVGZ)
Windows Metafile (WMF)
WordPerfect Graphics (WPG)
Xara Xtreme/Designer (XAR)
Xfig Drawing (FIG)
UniConvertor Import
All Files
Tags#easyhack
PatchNo

Activities

christoph_s

2013-12-16 06:46

administrator   ~0030931

Correction: Xara Design/DTP Format (XAR)

christoph_s

2015-05-12 21:13

administrator   ~0035106

There are still some errors:

WordPerfect WPG --> WordPerfect Graphics

Macintosh Pict --> Macintosh Picture

Empty entry between iWorks and ODP

EMF --> Enhanced Metafile

Micrografx DRW --> Micrografx Draw

Calamus CVG --> Calamus Vector Graphics

CGM File --> Computer Graphics Metafile

CorelDraw CDR --> Corel Draw File

Kunda

2015-07-27 22:06

manager  

Scribus-Open-Dialog.png (116,181 bytes)
Scribus-Open-Dialog.png (116,181 bytes)

Kunda

2015-07-27 22:07

manager  

Scribus-Import-Dialog.png (102,761 bytes)
Scribus-Import-Dialog.png (102,761 bytes)

Kunda

2015-07-27 22:09

manager   ~0035921

Added screenshots of current 1.5.1svn r20287 on OSX 10.10.3

Personal Observation:
I agree with Christoph that listing the capitalized extension letters is very useful after the format name.

cbradney

2015-07-29 20:55

administrator   ~0035939

This has been fixed. The ask was to remove the extensions.

christoph_s

2015-07-30 08:13

administrator   ~0035941

"The ask was to remove the extensions."

No, it wasn't. That was your decision ;)

My criticism was that sometimes only file extensions were listed (sometimes uppercase, sometimes lowercase, sometimes both), in other cases a description with an extension (sometimes uppercase, sometimes lowercase, sometimes both). It just seemed to be totally arbitrary, and that's what needed to be fixed.

Moreover, the criticism that file selectors reflect the plug-in architecture rather than the users' expectations (i.e., several entries for SLA and SLA.GZ files) still stands. Removing the file extensions from file selectors only papers over this fact.

Kunda

2015-08-03 13:17

manager   ~0035960

verdict? close or re-assign ?

Issue History

Date Modified Username Field Change
2013-11-30 07:05 christoph_s New Issue
2013-12-16 06:46 christoph_s Note Added: 0030931
2014-10-21 20:03 Kunda Tag Attached: easyhack
2014-10-21 20:04 Kunda Tag Attached: #easyhack
2014-10-21 20:04 Kunda Tag Detached: #easyhack
2014-10-21 20:04 Kunda Tag Detached: easyhack
2014-10-21 20:04 Kunda Tag Attached: #easyhack
2015-04-26 16:56 cbradney Status new => resolved
2015-04-26 16:56 cbradney Fixed in Version => 1.5.0svn
2015-04-26 16:56 cbradney Resolution open => fixed
2015-04-26 16:56 cbradney Assigned To => cbradney
2015-04-26 18:52 cbradney Patch => No
2015-04-26 18:52 cbradney Target Version 1.5.1 => 1.5.0
2015-05-12 21:13 christoph_s Note Added: 0035106
2015-05-12 21:13 christoph_s Status resolved => feedback
2015-05-12 21:13 christoph_s Resolution fixed => reopened
2015-05-14 09:19 cbradney Target Version 1.5.0 => 1.5.1
2015-05-19 22:14 cbradney Status feedback => resolved
2015-05-19 22:14 cbradney Fixed in Version 1.5.0svn => 1.5.1svn
2015-05-19 22:14 cbradney Resolution reopened => fixed
2015-07-27 22:06 Kunda File Added: Scribus-Open-Dialog.png
2015-07-27 22:07 Kunda File Added: Scribus-Import-Dialog.png
2015-07-27 22:09 Kunda Note Added: 0035921
2015-07-27 22:10 Kunda Status resolved => feedback
2015-07-27 22:10 Kunda Resolution fixed => reopened
2015-07-29 20:55 cbradney Note Added: 0035939
2015-07-29 20:55 cbradney Status feedback => resolved
2015-07-29 20:55 cbradney Resolution reopened => fixed
2015-07-30 08:13 christoph_s Note Added: 0035941
2015-07-30 08:13 christoph_s Status resolved => feedback
2015-07-30 08:13 christoph_s Resolution fixed => reopened
2015-08-03 13:17 Kunda Note Added: 0035960
2016-01-23 17:16 cbradney Target Version 1.5.1 => 1.5.3
2016-12-08 22:04 Kunda Target Version 1.5.3 => 1.5.4
2016-12-13 01:03 Kunda Fixed in Version 1.5.1svn =>